Bug 753204 - Discovery --full should be the default
Discovery --full should be the default
Status: POST
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Josejulio Martínez
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-11 10:41 EST by Heiko W. Rupp
Modified: 2016-03-28 18:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-11-11 10:41:56 EST
People are running at the agent prompt

> discovery

which prints a list of stuff that it found,but that stuff does not end up in the AD portlet.
TO get it up there, they need to run

> discovery --full

Which is not what is expected.

We should change the behavior to 

> discovery 

doing what --full is doing today.

And add an option 

> discovery --dry-run

to do what discovery does today.
Comment 1 Ian Springer 2012-05-11 14:02:33 EDT
Agreed. Other potential names for the option would be --disable-reporting-to-server or --offline. I think we should also add an equivalent option to the "avail" command.

I think it would also be nice if the reporting and non-reporting modes accepted all the same options. Right now the --plugin, --resourceType, and --resourceId options are only valid for the non-reporting mode, which is not intuitive. I'd also think a --show-new-only option would be useful for both modes. Right now the reporting mode tells you how many new resources were discovered, but no details about the Resources (I think it should show details, at least for servers), and the non-reporting mode always shows all resources that were discovered, includes already-committed resources. 

Finally, currently the non-reporting mode always does only a server scan, and the reporting mode always does both a server and a service scan. I think both modes should support options for specifying which type of scan(s) should be run, e.g.:

discovery --server/-S --service/-s

May as well support --platform/-P too.
Comment 3 Larry O'Leary 2012-11-27 14:52:33 EST
Resetting for triage in RHQ project.
Comment 4 Josejulio 2015-10-26 18:35:51 EDT
Made Discovery --full to be the default: https://github.com/rhq-project/rhq/pull/190
Comment 5 Josejulio Martínez 2016-02-26 10:51:08 EST
commit 75d1866f655ae9f1f5469c2c5a1d7438fcd2e9af
Date:   Mon Oct 26 12:37:27 2015 -0600

    Bug 753204 - Discovery --full should be the default
    The new default is --full
Comment 6 Mike McCune 2016-03-28 18:47:43 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.